
From: Joe Thornber <thornber@redhat.com>

Export dm_vcalloc()


---

 25-akpm/drivers/md/dm-table.c |    3 ++-
 25-akpm/drivers/md/dm.h       |    2 ++
 2 files changed, 4 insertions(+), 1 deletion(-)

diff -puN drivers/md/dm.h~dm-01-export-dm_vcalloc drivers/md/dm.h
--- 25/drivers/md/dm.h~dm-01-export-dm_vcalloc	Tue Feb 10 13:00:27 2004
+++ 25-akpm/drivers/md/dm.h	Tue Feb 10 13:00:27 2004
@@ -167,4 +167,6 @@ void dm_linear_exit(void);
 int dm_stripe_init(void);
 void dm_stripe_exit(void);
 
+void *dm_vcalloc(unsigned long nmemb, unsigned long elem_size);
+
 #endif
diff -puN drivers/md/dm-table.c~dm-01-export-dm_vcalloc drivers/md/dm-table.c
--- 25/drivers/md/dm-table.c~dm-01-export-dm_vcalloc	Tue Feb 10 13:00:27 2004
+++ 25-akpm/drivers/md/dm-table.c	Tue Feb 10 13:00:27 2004
@@ -149,7 +149,7 @@ static int setup_btree_index(unsigned in
 	return 0;
 }
 
-static void *dm_vcalloc(unsigned long nmemb, unsigned long elem_size)
+void *dm_vcalloc(unsigned long nmemb, unsigned long elem_size)
 {
 	unsigned long size;
 	void *addr;
@@ -858,6 +858,7 @@ void dm_table_resume_targets(struct dm_t
 }
 
 
+EXPORT_SYMBOL(dm_vcalloc);
 EXPORT_SYMBOL(dm_get_device);
 EXPORT_SYMBOL(dm_put_device);
 EXPORT_SYMBOL(dm_table_event);

_
